package salestargets;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;

import java.util.HashSet;
import java.util.HashMap;

@Entity
public class Salesman
{
	@Id
	@GeneratedValue
	private int id;

	private String name;

	@OneToMany(fetch = FetchType.EAGER, cascade = CascadeType.ALL)
	private HashMap<Company, HashSet<Integer>> companyTargets = new HashMap<Company, HashSet<Integer>>();

	public Salesman(String name)
	{
		this.name = name;
	}

	public HashMap<Company, HashSet<Integer>> getCompanyTargets()
	{
		return companyTargets;
	}

	public int getId()
	{
		return id;
	}

	public String toString()
	{
		return name;
	}
}
